Bug 106307 - tetex bad source code
tetex bad source code
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-05 05:26 EDT by d.binderman
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-08 04:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-10-05 05:26:05 EDT
Description of problem:


Hello there,

I just tried to compile package tetex-1.0.7-66, from Redhat 9.0,
with compiler flag -Wall.

The compiler said

epdf.c:32: warning: operation on `res_name_tab' may be undefined
epdf.c:63: warning: operation on `extra_fonts' may be undefined
epdf.c:83: warning: operation on `extra_xobjects' may be undefined
epdf.c:105: warning: operation on `other_resources' may be undefined
mapfile.c:74: warning: operation on `fm_tab' may be undefined
mapfile.c:207: warning: operation on `fm_tab' may be undefined
config.c:119: warning: operation on `mapfiles' may be undefined
vfpacket.c:26: warning: operation on `vf_tab' may be undefined
vfpacket.c:48: warning: operation on `packet_tab' may be undefined
writeenc.c:24: warning: operation on `enc_tab' may be undefined
writeimg.c:16: warning: operation on `image_tab' may be undefined
emspecial.c:1052: warning: operation on `s' may be undefined
emspecial.c:1052: warning: operation on `s' may be undefined
emspecial.c:1052: warning: operation on `s' may be undefined
token.c:111: warning: operation on `exponent' may be undefined
type1.c:446: warning: operation on `tmpx' may be undefined
type1.c:525: warning: operation on `tmpx' may be undefined
type1.c:590: warning: operation on `tmpx' may be undefined
type1.c:845: warning: operation on `tmpx' may be undefined
type1.c:849: warning: operation on `tmpx' may be undefined
type1.c:853: warning: operation on `tmpx' may be undefined
type1.c:1544: warning: operation on `tmpx' may be undefined
type1.c:1582: warning: operation on `tmpx' may be undefined
type1.c:1590: warning: operation on `tmpx' may be undefined
type1.c:1590: warning: operation on `tmpi' may be undefined
type1.c:1632: warning: operation on `tmpx' may be undefined
type1.c:1640: warning: operation on `tmpx' may be undefined
type1.c:1640: warning: operation on `tmpi' may be undefined
epdf.c:31: warning: operation on `new_charset' may be undefined
mapfile.c:52: warning: operation on `fm_tab' may be undefined
utils.c:34: warning: operation on `ff_buf_tab' may be undefined
utils.c:58: warning: operation on `fnstr_tab' may be undefined
utils.c:70: warning: operation on `fnstr_tab' may be undefined
config.c:63: warning: operation on `mapfiles' may be undefined
vfpacket.c:27: warning: operation on `vf_tab' may be undefined
vfpacket.c:49: warning: operation on `packet_tab' may be undefined
writeenc.c:71: warning: operation on `enc_tab' may be undefined
writeimg.c:22: warning: operation on `image_tab' may be undefined

and it also said

objects.c:400: warning: unknown conversion type character `)' in format
objects.c:444: warning: unknown conversion type character `)' in format
objects.c:491: warning: unknown conversion type character `)' in format
objects.c:571: warning: unknown conversion type character `)' in format
objects.c:576: warning: unknown conversion type character 0x20 in format
objects.c:1039: warning: unknown conversion type character 0xa in format
paths.c:218: warning: unknown conversion type character `,' in format
paths.c:240: warning: unknown conversion type character `,' in format
paths.c:265: warning: unknown conversion type character `,' in format
paths.c:265: warning: unknown conversion type character `)' in format
paths.c:310: warning: unknown conversion type character `)' in format
paths.c:353: warning: unknown conversion type character `,' in format
paths.c:353: warning: unknown conversion type character `,' in format
paths.c:353: warning: unknown conversion type character `)' in format
paths.c:460: warning: unknown conversion type character `,' in format
paths.c:460: warning: unknown conversion type character `)' in format
paths.c:616: warning: unknown conversion type character `)' in format
paths.c:716: warning: unknown conversion type character `)' in format
paths.c:880: warning: unknown conversion type character `)' in format
paths.c:1035: warning: unknown conversion type character 0xa in format
paths.c:1103: warning: unknown conversion type character `,' in format
paths.c:1103: warning: unknown conversion type character `,' in format
paths.c:1136: warning: unknown conversion type character `,' in format
paths.c:1213: warning: unknown conversion type character `,' in format
paths.c:1213: warning: unknown conversion type character `,' in format
paths.c:1389: warning: unknown conversion type character `)' in format
paths.c:1411: warning: unknown conversion type character `)' in format
spaces.c:744: warning: unknown conversion type character `,' in format
spaces.c:765: warning: unknown conversion type character `,' in format
type1.c:803: warning: `return' with no value, in function returning non-void


All these problems look like something worth fixing
         




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2003-10-08 04:45:58 EDT
Thanks.  The current version of teTeX is 2.0.2, and that is available in
rawhide.  It may be substantially different in some areas.

Note You need to log in before you can comment on or make changes to this bug.